org.apache.commons.math.distribution

## Interface ZipfDistribution

- All Superinterfaces:
    DiscreteDistribution, Distribution, IntegerDistribution
  All Known Implementing Classes:
    ZipfDistributionImpl

      public interface ZipfDistribution
      extends IntegerDistribution

  The Zipf (or zeta) Distribution.

  References:

  - Zipf Distribution
  Version:
    $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getExponent()` Get the exponent characterising the distribution.
    `int` | `getNumberOfElements()` Get the number of elements (e.g.
    `void` | `setExponent(double s)` Deprecated. as of v2.1
    `void` | `setNumberOfElements(int n)` Deprecated. as of v2.1

    - ### Methods inherited from interface org.apache.commons.math.distribution.IntegerDistribution

      `cumulativeProbability, cumulativeProbability, inverseCumulativeProbability, probability`

    - ### Methods inherited from interface org.apache.commons.math.distribution.DiscreteDistribution

      `probability`

    - ### Methods inherited from interface org.apache.commons.math.distribution.Distribution

      `cumulativeProbability, cumulativeProbability`

- - ### Method Detail

    - #### getNumberOfElements

          int getNumberOfElements()

      Get the number of elements (e.g. corpus size) for the distribution.
      Returns:
        the number of elements

    - #### setNumberOfElements

          @Deprecated
          void setNumberOfElements(int n)

      Deprecated. as of v2.1
      Set the number of elements (e.g. corpus size) for the distribution. The parameter value must be positive; otherwise an `IllegalArgumentException` is thrown.
      Parameters:
        `n` - the number of elements
      Throws:
        `java.lang.IllegalArgumentException` - if n ≤ 0

    - #### getExponent

          double getExponent()

      Get the exponent characterising the distribution.
      Returns:
        the exponent

    - #### setExponent

          @Deprecated
          void setExponent(double s)

      Deprecated. as of v2.1
      Set the exponent characterising the distribution. The parameter value must be positive; otherwise an `IllegalArgumentException` is thrown.
      Parameters:
        `s` - the exponent
      Throws:
        `java.lang.IllegalArgumentException` - if s ≤ 0.0

Copyright (c) 2003-2013 Apache Software Foundation